/* --- EASYDROPDOWN FLAT THEME by Jan Cantor --- */

/* PREFIXED CSS */

.easydrop,
.easydrop div,
.easydrop li,
.easydrop div::after,
.easydrop .carat,
.easydrop .carat:after,
.easydrop .selected::after,
.easydrop:after{
	-webkit-transition: all 150ms ease-in-out;
	-moz-transition: all 150ms ease-in-out;
	-ms-transition: all 150ms ease-in-out;
	transition: all 150ms ease-in-out;
}

.easydrop .selected::after,
.easydrop.scrollable div::after{
	-webkit-pointer-events: none;
	-moz-pointer-events: none;
	-ms-pointer-events: none;
	pointer-events: none;
}

/* WRAPPER */

.easydrop{
	position: relative;
	width: 100%;
	cursor: pointer;
	font-weight: 200;
	background: #ffffff;
	padding: 8px 0px 8px;
	
	border-radius: 5px;
	
	color:  #000;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
}

.easydrop.open{
	z-index: 3;
}

.easydrop:hover,
.easydrop.focus{
	background: #f5f5f5;
}

/* CARAT */

.easydrop .carat,
.easydrop .carat:after{
	position: absolute;
	right: 14px;
	top: 50%;
	margin-top: -3px;
	border: 6px solid transparent;
	border-top: 6px solid #666;
	z-index: 1;
	
	-webkit-transform-origin: 50% 20%;
	-moz-transform-origin: 50% 20%;
	-ms-transform-origin: 50% 20%;
	transform-origin: 50% 20%;
	
}

.easydrop:hover .carat:after{
	border-top-color: #666;
}

.easydrop.focus .carat{
	border-top-color: #666;
}

.easydrop.focus .carat:after{
	border-top-color: #666;
}

.easydrop.open .carat{
	-webkit-transform: rotate(180deg);
	-moz-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	transform: rotate(180deg);
}

/* OLD SELECT (HIDDEN) */

.easydrop .old{
	position: absolute;
	left: 0;
	top: 0;
	height: 0;
	width: 0;
	overflow: hidden;
}

.easydrop select{
	position: absolute;
	left: 0px;
	top: 0px;
}

.easydrop.touch select{
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	z-index:4;
}

.easydrop .old{
	position: absolute;
	left: 0;
	top: 0;
	height: 0;
	width: 0;
	overflow: hidden;
}

.easydrop select{
	position: absolute;
	left: 0px;
	top: 0px;
}

.easydrop.touch .old{
	width: 100%;
	height: 100%;
}

.easydrop.touch select{
	width: 100%;
	height: 100%;
	opacity: 0;
}


/* SELECTED FEEDBACK ITEM */ 
.easydrop .selected {
    color: #666;
}

.easydrop .selected,
.easydrop li{
	display: block;
	font-size: 18px;
	font-weight: 400;
	text-transform: uppercase;
	line-height: 1;
	padding: 8px 12px;
	overflow: hidden;
	white-space: nowrap;
	z-index: 5;
}

.easydrop .selected::after{
	content: '';
	position: absolute;
	right: 0;
	top: 0;
	bottom: 0;
	width: 60px;
	
	border-radius: 0 5px 5px 0;
	/*box-shadow: inset -55px 0 25px -20px #29af84;*/
}

.easydrop:hover .selected::after,
.easydrop.focus .selected::after{
	/*box-shadow: inset -55px 0 25px -20px #00c384;*/
}

/* DROP DOWN WRAPPER */

.easydrop div{
	position: absolute;
	height: 0;
	left: 0;
	right: 0;
	top: 100%;
	margin-top: 1px;
	background: #f5f5f5;
	overflow: hidden;
	opacity: 0;
	color: #333;
	
	border-radius: 5px;
}

.easydrop:hover div{
	background: #f5f5f5;
	
	border-radius: 5px;
}

/* Height is adjusted by JS on open */

.easydrop.open div{
	opacity: 1;
	z-index: 2;
}

/* FADE OVERLAY FOR SCROLLING LISTS */

.easydrop.scrollable div::after{
	content: '';
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	height: 50px;
	
	box-shadow: inset 0 -50px 30px -35px #00c384;
}

.easydrop.scrollable:hover div::after{
	box-shadow: inset 0 -50px 30px -35px #00c384;
}

.easydrop.scrollable.bottom div::after{
	opacity: 0;
}

/* DROP DOWN LIST */

.easydrop ul{
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	list-style: none;
	overflow: hidden;
	border-radius: 5px;
}

.easydrop.scrollable.open ul{
	overflow-y: auto;
}

/* DROP DOWN LIST ITEMS */

.easydrop li{
	list-style: none;
	padding: 14px 12px;
	border-bottom: 1px solid #999;
}

.easydrop li:last-child {
    border-bottom: 0;
}

/* .focus class is also added on hover */

.easydrop li.focus{
	background: #44a9ff;
	position: relative;
	z-index: 3;
	color: #fff;
}

.easydrop li.active{
	background: #44a9ff;
	color: #fff;
}